<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                        <span class="h2 font-weight-bold mb-0">Payment </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <h3 class="mb-0">Form Pembayaran</h3>
                    </div>
                    <div class="card-body">
                        <div class="card-shadow">
                            <div class="row">
                                <div class="col-md-6">
                                    <address>
                                        <table class="table">
                                            <tr style="font-weight: bold">
                                                <td>Nomor Tagihan</td>
                                                <td> : </td>
                                                <td th:text="${tagihan.nomor}">1222200085944</td>
                                            </tr>
                                            <tr>
                                                <td>Nama</td>
                                                <td> : </td>
                                                <td th:text="${tagihan.mahasiswa.nama}"></td>
                                            </tr>
                                            <tr>
                                                <td>Program Studi</td>
                                                <td> : </td>
                                                <td th:text="${tagihan.mahasiswa.idProdi.namaProdi}"></td>
                                            </tr>
                                            <tr>
                                                <td>Jenis Tagihan</td>
                                                <td> : </td>
                                                <td th:text="${tagihan.nilaiJenisTagihan.jenisTagihan.nama}"></td>
                                            </tr>
                                            <tr>
                                                <td>Nilai Tagihan</td>
                                                <td> : </td>
                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(tagihan.nilaiTagihan, 0, 'POINT', 2, 'COMMA')}"></td>
                                            </tr>
                                            <tr>
                                                <td>Tanggal Jatuh Tempo</td>
                                                <td> : </td>
                                                <td th:text="${tagihan.tanggalJatuhTempo}"></td>
                                            </tr>
                                        </table>
                                    </address>
                                </div>
                                <div class="col-md-6">
                                    <form method="post" th:action="@{/studentBill/payment/manual}" th:object="${pembayaran}" enctype="multipart/form-data">
                                        <input type="hidden" name="tagihan" th:field="*{tagihan}">
                                        <input type="hidden" id="isiTagihan" th:value="${tagihan.id}">
                                        <div class="form-group">
                                            <label>Bank</label>
                                            <select id="select2-bank" onchange="autoVa()"
                                                    name="bank" class="form-control">
                                                <option value=""></option>
                                                <option th:each="data : ${bank}"
                                                        th:text="${data.nama}"
                                                        th:value="${data.id}">Bank</option>
                                            </select>
                                            <input type="hidden" id="isiBank" name="bank" th:field="*{bank}">
                                        </div>

                                        <div class="form-group">
                                            <label >Virtual Account</label>
                                            <input type="text" id="nomorVa" th:field="*{nomorRekening}" name="nomorRekening" class="form-control">
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6 col-sm-12 col-xs-12">
                                                <div class="form-group">
                                                    <label >Jumlah pembayaran</label>
                                                    <input type="text" readonly name="amount" class="form-control" th:value="${tagihan.nilaiTagihan}">
                                                </div>
                                            </div>
                                            <div class="col-md-6 col-sm-12 col-xs-12">
                                                <div class="form-group">
                                                    <label >Waktu Bayar</label>
                                                    <input type="date" id="waktu" name="waktu" class="form-control" required>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6 col-sm-12 col-xs-12">
                                                <div class="form-group">
                                                    <div class="form-line">
                                                        <label>Upload Bukti</label>
                                                        <input type="file" name="fileBukti"
                                                               class="form-control"
                                                               placeholder="Upload Bukti" autofocus/>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6 col-sm-12 col-xs-12">
                                                <div class="form-group">
                                                    <div class="form-line">
                                                        <label>Tipe Pengiriman</label>
                                                        <select name="tipePengiriman" class="form-control" required >
                                                            <option selected disabled>-</option>
                                                            <option th:each="tipe : ${tipe}"
                                                                    th:value="${tipe}"
                                                                    th:text="${tipe}"></option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Save</button>
                                            <a th:href="@{/studentBill/billAdmin/list(tahunAkademik = ${tagihan.tahunAkademik.id}, nim = ${tagihan.mahasiswa.nim})}" class="btn btn-danger">Cancel</a>
                                        </div>

                                    </form>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih salah satu",
        allowClear: true
    });

    (function($){
        $('#select2-bank').select2();

        $('#select2-bank').on('select2:selecting', function (e) {
            console.log('Selecting: ', e.params.args.data.id);
            $('#isiBank').val(e.params.args.data.id);
        });
    })(jQuery);

    function autoVa(){
        var x = document.getElementById("select2-bank").value;
        console.log(x);
        const url = '/api/pembayaran?id='+x+'&idTagihan='+$('#isiTagihan').val();
        $.getJSON(url, function (data){
            $('#nomorVa').val(data.nomor);
            document.getElementById("nomorVa").value = data.nomor;
        })
    }

</script>